---
updatedAt: 2026-07-21T18:22:43.000Z
---

# Delete the Creative

You can delete the creative for a specific advertiser using this POST call

**Note:** You can only delete creatives in draft state i.e. the creative which is not submitted yet

<Callout icon="📘" theme="info">
  ### URL:  POST /api/v1/creatives/delete
</Callout>

# Request Parameters

| Parameter    | Description                        | Type    | Required | Possible Values       |
| :----------- | :--------------------------------- | :------ | :------- | :-------------------- |
| advertiserId | The ID for the specific advertiser | integer | Y        | A valid advertiser ID |
| creativeId   | The ID of the creative             | string  | Y        | A valid creative ID   |

# Headers

| Header Name              | Description                                                                                                                                    | Required | Values                                                                                                                                           |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization            | The token will provide you the access to the API. It is same for all advertisers you access through the API.                                   | Y        | Please utilize the generated `auth_token` shared with you at the time of partner onboarding from the Getting Started Guide                       |
| Content-Type             | Format of the message body                                                                                                                     | Y        | application/json                                                                                                                                 |
| WM\_CONSUMER.ID          | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access   through the API.    | Y        | Please use the generated `ConsumerId` shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM\_SEC.AUTH\_SIGNATURE  | Signature for authentication                                                                                                                   | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| WM\_SEC.KEY\_VERSION     | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.            | Y        | 1                                                                                                                                                |
| WM\_CONSUMER.intimestamp | Timestamp for  which the auth signature is generated. Use Unix epoch format for the timestamp.                                                 | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |

## Sample Request

```
curl -X POST \ 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/delete'\  
--header 'Content-Type:  application/json'  \ 
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************'  \ 
--header 'WM_SEC.KEY_VERSION: 1'  \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff'  \ 
--header 'WM_CONSUMER.intimestamp: 1565309779'\
 --data 
   '{ 
        "advertiserId": 123, 
         "creativeId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" 
        }'
```

## Sample Response

```
204 No Content 
```

<br />